# Interface methods for submodule: Directory
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: Directory
class DirectoryProxy(_ObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def Load(self, dir) -> bool:
		""""""
		...

	def GetNumberOfFiles(self) -> int:
		""""""
		...

	def GetFile(self, index: int):
		""""""
		...

